package com.riiiver.sample.qcc5100.util.riiiver

import com.riiiver.sample.qcc5100.BuildConfig

object RiiiverSdkConstants {
    val piececorePackageName: String
        get() {
            return "com.riiiver.sample.qcc5100.util.riiiver.piece_core"
        }

    val deviceId: String
        get() {
            return when (BuildConfig.FLAVOR) {
                "production" -> {
                    "5f1e70a7c9009161a20be5f0_cFha74Gn"
                }
                else -> {
                    "5f1e70a7c9009161a20be5f0_cFha74Gn"
                }
            }
        }

    val deviceIds: List<String>
        get() {
            return listOf(deviceId)
        }

    val forcedDownloadAppletIds: List<String>
        get() {
            return when (BuildConfig.FLAVOR) {
                "production" -> {
                    listOf(
                        "6656ac9c16daa40feb7b04d6", // Weather Information
                        "6656c44c72ebfb6707e9dbf4", // Flight Information
                        "6656c3fd16daa40feb7b04d9", // Sports Score
                        "665d902addd62c0c8118e636", // Send Gmail
                        "6656c49a72ebfb6707e9dbf5"  // Get event from Google Calendar
                    )
                }
                else -> {
                    listOf(
                    )
                }
            }
        }
}